<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelCustomer extends Model

{
    protected $table = 'customer'; // Nama tabel di database
    protected $primaryKey = 'id_customer'; // Primary key tabel
    protected $allowedFields = ['name', 'phone', 'email', 'created_at']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_customer', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_customer
     *
     * @param int $id_customer
     * @return array|null
     */
    public function getDataById($id_customer)
    {
        return $this->where('id_customer', $id_customer)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_customer
     * @param array $data
     * @return bool
     */
    public function updateData($id_customer, $data)
    {
        return $this->update($id_customer, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_customer
     * @return bool
     */
    public function deleteData($id_customer)
    {
        return $this->delete($id_customer);
    }
}
